Skip to content

List Webhooks

GET
/webhooks

List webhooks in the current namespace with filtering, sorting, and pagination.

Authorizations

bearerAuth

Generate an API token here

Type
HTTP (bearer)

Parameters

Header Parameters

compatibility-date*

API compatibility date in YYYY-MM-DD format. Must be a date after 2025-11-01.

Type
string
Required
Example"2025-11-01"
Pattern
"^\\d{4}-\\d{2}-\\d{2}$"
organization-id*
Type
string
Required
Min Length
1
Max Length
40

Query Parameters

filter

Filter criteria for webhooks. Allowed fields: id, url, enabled, eventTypes, createdAt, updatedAt. Array filters: eventTypes[?] for any match, eventTypes[*] for all entries equal to the value. Allowed operators: eq, ne, lt, gt, lte, gte, contains

sort
Type
string
Default
"-createdAt"
Min Length
1
Max Length
256
page

1-based page index

Type
integer
Default
1
Exclusive Minimum
0
Maximum
4294967295
per_page

Page size

Type
integer
Default
10
Exclusive Minimum
0
Maximum
100

Responses

success.webhook.list

application/json
object
object[]
Required
Minimum0
Maximum9007199254740991

Playground

Authorization
Headers
Variables
Key
Value

Samples